

class ActiveViewMixin:
    active_view = None

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context.setdefault("active_view", self.active_view)
        return context
